{% extends "nav.twig" %}

{% block title %}
	Modification d'un groupe de soutenance
{% endblock %}

{% block contenu %}
	<a href="{{ app.url_generator.generate('groupesoutenance') }}">
		<button class="btn btn-default">
			<i class="glyphicon glyphicon-arrow-left"></i> Annuler
		</button>
	</a>

	<form action="{{ app.url_generator.generate('update_groupesoutenance') }}" method="post" class="top_margin">
		<input name="_method" type="hidden" value="put">

		{% for grp in groupe %}
		<input name="id" type="hidden" value="{{grp['id']}}"/>

		<div class="form-group row">
			<label for="staticNom" class="col-sm-2 col-form-label"> Nom </label>
			<div class="col-sm-10">
		    	<input type="text" class="form-control" id="staticNom" placeholder="Nom" name="nom" value={{grp['nom']}} required>
			</div>
		</div>

		<div class="form-group row">
			<label for="SelectEtu" class="col-sm-2 col-form-label"> Selectionner les étudiants </label>
			<div class="col-sm-10">
				<select multiple="multiple" class="form-control" id="SelectEtu" name="etudiants[]" required>
				{% for etu in etudiants %}
					<option value="{{etu.id}}" id="{{etu.id}}"> {{ etu.prenom }} {{ etu.nom }} ({{etu.groupe}}) </option>
				{% endfor %}
				</select>
			</div>
		</div>

		<div class="form-group row">
			<label for="SelectEvent" class="col-sm-2 col-form-label"> Selectionner l'événement </label>
			<div class="col-sm-10">
				<select class="form-control" id="SelectEvent" name="event">
				{% for event in events %}
					{% if event.id == grp.evenement %}
					<option value="{{event.id}}" selected> {{ event.nom }} </option>
					{% else %}
					<option value="{{event.id}}"> {{ event.nom }} </option>
					{% endif %}
				{% endfor %}
				</select>
			</div>
		</div>

		<button type="submit" class="btn btn-warning"> <i class="glyphicon glyphicon-pencil"></i> Modifier </button>
		{% endfor %}
	</form>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script>
	let etus = [];
	</script>
	{% for etu in etus %}
	<script> etus.push('{{etu["etudiant_id"]}}'); </script>
	{% endfor %}
	<script>
		for(e in etus) {
			$("#"+etus[e]).prop("selected", true);
		}
	</script>
{% endblock %}